tt_pattern_user_set(library call)

NAME
tt_pattern_user_set — store information in the user data cells of a pattern object

SYNOPSIS

#include &<Tt/tt_c.h>
Tt_status tt_pattern_user_set(
Tt_pattern p,
int key,
void *v);

DESCRIPTION

The tt_pattern_user_set function stores information in the user data cells associated with the specified pattern object.

The p argument is a unique handle for a message pattern. This handle is returned after tt_pattern_create(3) is called. The key argument is the specified user data cell. The value for each data cell must be unique for this pattern. The v argument is the data cell, a piece of arbitrary user data that can hold a void *.

RETURN VALUE

Upon successful completion, the tt_pattern_user_set function returns the status of the operation as one of the following Tt_status values:

TT_OK
    The operation completed successfully.

TT_ERR_NOMP
    The ttsession(1) process is not running and the ToolTalk service cannot restart it.

TT_ERR_POINTER
    The pointer passed does not point to an object of the correct type for this operation.

SEE ALSO

Tt/tt_c.h - Tttt_c(5), tt_pattern_user(3), tt_pattern_create(3).